/* pJiSpJi */
var zen_table = new Array(
  "B", "u", "v", "A", "E", "", "@", "B", "D", "F",
  "H", "", "", "", "b", "[", "A", "C", "E", "G",
  "I", "J", "L", "N", "P", "R", "T", "V", "X", "Z",
  "\", "^", "`", "c", "e", "g", "i", "j", "k", "l",
  "m", "n", "q", "t", "w", "z", "}", "~", "", "",
  "", "", "", "", "", "", "", "", "", "",
  "", "J", "K"
);

function is_kana(c)  { return (c >= 65377 && c <= 65439); }
function is_ka_to(c) { return (c >= 65398 && c <= 65412); }
function is_ha_ho(c) { return (c >= 65418 && c <= 65422); }

function han2zen_kana(src) {
  var i, code, next;
  var str = new String;
  var len = src.length;
  for (i = 0; i < len; i++) {
    var c = src.charCodeAt(i);
    if (is_kana(c)) {
      code = zen_table[c - 65377];
      if (i < len - 1) {
        next = src.charCodeAt(i+1);
        if (next == 65438 && c == 65395) {
          code = "";
          i++;
        } else if (next == 65438 && (is_ka_to(c) || is_ha_ho(c))) {
          code = String.fromCharCode(code.charCodeAt(0)+1);
          i++;
        } else if (next == 65439 && is_ha_ho(c)) {
          code = String.fromCharCode(code.charCodeAt(0)+2);
          i++;
        }
      }
      str += code;
    } else {
       str += src.charAt(i);
    } 
 }
 return str;
}

windowText = han2zen_kana(windowText);
