//---- StreamTypeEnum Values ----
var adTypeBinary = 1;
var adTypeText = 2;

//---- LineSeparatorEnum Values ----
var adLF = 10;
var adCR = 13;
var adCRLF = -1;

//---- StreamWriteEnum Values ----
var adWriteChar = 0;
var adWriteLine = 1;

//---- SaveOptionsEnum Values ----
var adSaveCreateNotExist = 1;
var adSaveCreateOverWrite = 2;

//---- StreamReadEnum Values ----
var adReadAll = -1;
var adReadLine = -2;

// R[h charset 
// t@Cifilenamejǂݍ
// ߂l͕
function LoadText(filename, charset) {
  var stream, text;
  stream = new ActiveXObject("ADODB.Stream");
  stream.Type = adTypeText;
  stream.Charset = charset;
  stream.Open();
  stream.LoadFromFile(filename);
  text = stream.ReadText(adReadAll);
  stream.Close();
  return text;
}

// R[h charset 
// t@Cifilenamejǂݍ
// ߂l͍sPʂ̔̕z
function LoadLinesOfText(filename, charset) {
  var stream;
  var lines = new Array();
  stream = new ActiveXObject("ADODB.Stream");
  stream.Type = adTypeText;
  stream.Charset = charset;
  stream.Open();
  stream.LoadFromFile(filename);
  while (!stream.EOS) {
    lines.push(stream.ReadText(adReadLine));
  }
  stream.Close();
  return lines;
}

// itextj
// R[h charset Ƃ
// t@Cifilenamejɏo
function SaveText(filename, text, charset) {
  var stream;
  stream = new ActiveXObject("ADODB.Stream");
  stream.Type = adTypeText;
  stream.Charset = charset;
  stream.Open();
  stream.WriteText(text);
  stream.SaveToFile(filename, adSaveCreateOverWrite);
  stream.Close();
}
